Bug 19753 - Move template JavaScript to the footer: Acquisitions
Summary: Move template JavaScript to the footer: Acquisitions
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on: 19401
Blocks: 17858 19754 19755
  Show dependency treegraph
 
Reported: 2017-12-05 16:33 UTC by Owen Leonard
Modified: 2018-01-16 12:16 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19753: Move template JavaScript to the footer: Acquisitions (58.13 KB, patch)
2017-12-05 17:10 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19753: Move template JavaScript to the footer: Acquisitions (56.93 KB, patch)
2017-12-14 09:58 UTC, Simon Pouchol
Details | Diff | Splinter Review
Bug 19753: Move template JavaScript to the footer: Acquisitions (56.99 KB, patch)
2017-12-21 19:53 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 19753: (QA follow-up) Style invoices menu item when on individual invoice page (1.13 KB, patch)
2017-12-21 19:53 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 19753: Move template JavaScript to the footer: Acquisitions (57.13 KB, patch)
2017-12-22 14:30 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19753: (QA follow-up) Style invoices menu item when on individual invoice page (1.13 KB, patch)
2017-12-22 14:30 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19753: (QA follow-up) Style invoices menu item when on individual invoice page (1.13 KB, patch)
2017-12-22 15:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19753: Move template JavaScript to the footer: Acquisitions (57.27 KB, patch)
2017-12-22 15:41 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19753: (QA follow-up) Style invoices menu item when on individual invoice page (1.13 KB, patch)
2017-12-22 15:41 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-12-05 16:33:31 UTC
In order to conform to best practices for performance staff client template javascript should be in the footer instead of the header. This patch will do so for some of the acquisitions templates.
Comment 1 Owen Leonard 2017-12-05 17:10:30 UTC Comment hidden (obsolete)
Comment 2 Simon Pouchol 2017-12-14 09:58:07 UTC Comment hidden (obsolete)
Comment 3 Josef Moravec 2017-12-21 19:53:40 UTC Comment hidden (obsolete)
Comment 4 Josef Moravec 2017-12-21 19:53:45 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2017-12-22 14:12:49 UTC
Please rebase on top of bug 19401.
Comment 6 Owen Leonard 2017-12-22 14:30:32 UTC
Created attachment 70123 [details] [review]
Bug 19753: Move template JavaScript to the footer: Acquisitions

This patch modifies some staff client acquisitions templates so that
JavaScript is included in the footer instead of the header.

This patch adds a JavaScript file, acquisitions-menu.js, which controls
the highlighting of the current page in the sidebar. Highlighting will
be temporarily broken for pages which have not been modified to include
this file

To test, apply the patch and test the JavaScript-driven features of the
modified templates: All button controls, DataTables functionality, tabs,
etc.

- Acquisitions home page
  - Datatable, Inactive budget controls
- Vendor search results
  - Acquisitions -> Vendor search
    - Datatables, "Show all" links
- Basket
  - Acquisitions -> Vendor -> Basket
    - Datatables, button controls, add managing user
- Add to basket from a staged file
  - Acquisitions -> Vendor -> Basket -> Add to basket from a staged file
    - Datatables, tabs, selection controls
- Edit basket
  - Acquisitions -> Vendor -> Edit basket
    - Form validation
- EDIFACT messages
  - Acquisitions -> EDIFACT messages
    - Datatables, message preview
- Orders search
  - Acquisitions -> Order search
    - Full orders search form
      - Patron autocomplete in "Basket created by" field
      - Datepickers
    - Orders search results
      - Datatables, column visibility
- Invoices
  - Acquisitions -> Vendor -> Invoices -> Invoice
    - Form validation, datepickers, datatables
  - Invoice files (enable AcqEnableFiles preference)
    - Manage invoice files
      - File list datatable

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 7 Owen Leonard 2017-12-22 14:30:34 UTC
Created attachment 70124 [details] [review]
Bug 19753: (QA follow-up) Style invoices menu item when on individual invoice page

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 8 Owen Leonard 2017-12-22 15:40:09 UTC
Created attachment 70128 [details] [review]
Bug 19753: (QA follow-up) Style invoices menu item when on individual invoice page

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 9 Owen Leonard 2017-12-22 15:41:11 UTC
Created attachment 70129 [details] [review]
Bug 19753: Move template JavaScript to the footer: Acquisitions

This patch modifies some staff client acquisitions templates so that
JavaScript is included in the footer instead of the header.

This patch adds a JavaScript file, acquisitions-menu.js, which controls
the highlighting of the current page in the sidebar. Highlighting will
be temporarily broken for pages which have not been modified to include
this file

To test, apply the patch and test the JavaScript-driven features of the
modified templates: All button controls, DataTables functionality, tabs,
etc.

- Acquisitions home page
  - Datatable, Inactive budget controls
- Vendor search results
  - Acquisitions -> Vendor search
    - Datatables, "Show all" links
- Basket
  - Acquisitions -> Vendor -> Basket
    - Datatables, button controls, add managing user
- Add to basket from a staged file
  - Acquisitions -> Vendor -> Basket -> Add to basket from a staged file
    - Datatables, tabs, selection controls
- Edit basket
  - Acquisitions -> Vendor -> Edit basket
    - Form validation
- EDIFACT messages
  - Acquisitions -> EDIFACT messages
    - Datatables, message preview
- Orders search
  - Acquisitions -> Order search
    - Full orders search form
      - Patron autocomplete in "Basket created by" field
      - Datepickers
    - Orders search results
      - Datatables, column visibility
- Invoices
  - Acquisitions -> Vendor -> Invoices -> Invoice
    - Form validation, datepickers, datatables
  - Invoice files (enable AcqEnableFiles preference)
    - Manage invoice files
      - File list datatable

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 10 Owen Leonard 2017-12-22 15:41:14 UTC
Created attachment 70130 [details] [review]
Bug 19753: (QA follow-up) Style invoices menu item when on individual invoice page

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 11 Jonathan Druart 2017-12-22 16:17:14 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 12 Nick Clemens 2018-01-16 12:16:04 UTC
Enhancement, skipping for 17.11.x.
Awesome work everybody!